org.wildfly.swarm.config.messaging.activemq.server.ha_policy.replication_colocated

## Class MasterConfiguration<T extends MasterConfiguration<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.ha_policy.replication_colocated.MasterConfiguration<T>

-     public class MasterConfiguration<T extends MasterConfiguration<T>>
      extends Object

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MasterConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `checkForLiveServer()` Whether to check the cluster for another server using the same server ID when starting up.
    `T` | `checkForLiveServer(Boolean value)` Whether to check the cluster for another server using the same server ID when starting up.
    `String` | `clusterName()` Name of the cluster used for replication.
    `T` | `clusterName(String value)` Name of the cluster used for replication.
    `String` | `getKey()`
    `String` | `groupName()` If set, backup servers will only pair with live servers with matching group-name.
    `T` | `groupName(String value)` If set, backup servers will only pair with live servers with matching group-name.
    `Long` | `initialReplicationSyncTimeout()` How long to wait until the initiation replication is synchronized.
    `T` | `initialReplicationSyncTimeout(Long value)` How long to wait until the initiation replication is synchronized.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MasterConfiguration

          public MasterConfiguration()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### checkForLiveServer

          public Boolean checkForLiveServer()

      Whether to check the cluster for another server using the same server ID when starting up.

    - #### checkForLiveServer

          public T checkForLiveServer(Boolean value)

      Whether to check the cluster for another server using the same server ID when starting up.

    - #### clusterName

          public String clusterName()

      Name of the cluster used for replication. If it is undefined, the name of the first cluster connection defined in the configuration will be used.

    - #### clusterName

          public T clusterName(String value)

      Name of the cluster used for replication. If it is undefined, the name of the first cluster connection defined in the configuration will be used.

    - #### groupName

          public String groupName()

      If set, backup servers will only pair with live servers with matching group-name.

    - #### groupName

          public T groupName(String value)

      If set, backup servers will only pair with live servers with matching group-name.

    - #### initialReplicationSyncTimeout

          public Long initialReplicationSyncTimeout()

      How long to wait until the initiation replication is synchronized.

    - #### initialReplicationSyncTimeout

          public T initialReplicationSyncTimeout(Long value)

      How long to wait until the initiation replication is synchronized.

Copyright © 2018 JBoss by Red Hat. All rights reserved.